Name:          sdcc
Version:       3.9.0
Release:       1mamba
Summary:       Small Device C Compiler
Group:         Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://sdcc.sourceforge.net/
Source:        http://downloads.sourceforge.net/sourceforge/sdcc/sdcc-src-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libfl-devel
BuildRequires: libgcc
BuildRequires: libreadline-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtermcap-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: gputils
Requires:      gputils
Requires:      sdcc-common = %{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
SDCC is a C compiler for 8051 class and similar microcontrollers.
The package includes the compiler, assemblers and linkers, a device simulator and a core library.
The processors supported (to a varying degree) include the 8051, ds390, z80, hc08, and PIC.

%package common
License:       GPL, LGPL
Group:         Applications/Development
Summary:       Common files for the SDCC C compiler

%description common
SDCC is a C compiler for 8051 class and similar microcontrollers.
The package includes the compiler, assemblers and linkers, a device simulator and a core library.
The processors supported (to a varying degree) include the 8051, ds390, z80, hc08, and PIC.

%package devel
License:       GPL, LGPL
Group:         Development/Libraries
Summary:       Libraries and Header Files for the SDCC C compiler
Requires:      sdcc = %{version}-%{release}

%description devel
SDCC is a C compiler for 8051 class and similar microcontrollers.
This package provides libraries and header files needed for development.

%package doc
License:       GPL
Group:         Applications/Development
Summary:       Documentation for the SDCC C compiler

%description doc
SDCC is a C compiler for 8051 class and similar microcontrollers.
The package includes the compiler, assemblers and linkers, a device simulator and a core library.
The processors supported (to a varying degree) include the 8051, ds390, z80, hc08, and PIC.

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/as2gbmap
%{_bindir}/makebin
%{_bindir}/packihx
%{_bindir}/s51
#%{_bindir}/savr
%{_bindir}/sd*
%{_bindir}/shc08
%{_bindir}/spdk
#%{_bindir}/sst7
%{_bindir}/sstm8
%{_bindir}/stlcs
%{_bindir}/sz80

%files common
%defattr(-,root,root)
%dir %{_datadir}/sdcc
%dir %{_datadir}/sdcc/include
%{_datadir}/sdcc/include/*
%dir %{_datadir}/sdcc/lib
%{_datadir}/sdcc/lib/*
%dir %{_datadir}/sdcc/non-free
%{_datadir}/sdcc/non-free/*

#%files devel
#%defattr(-,root,root)
#%{_includedir}/ansidecl.h
#%{_includedir}/bfd.h
#%{_includedir}/bfdlink.h
#%{_includedir}/symcat.h
#%{_libdir}/libbfd.a
#%{_libdir}/libbfd.la
#%{_libdir}/libiberty.a

%files doc
%defattr(-,root,root)
%{_datadir}/doc/sdcc/*
%{_datadir}/doc/ucsim/*
#%{_infodir}/bfd.info.gz

%changelog
* Thu May 02 2019 Automatic Build System <autodist@mambasoft.it> 3.9.0-1mamba
- automatic version update by autodist

* Sun Dec 09 2018 Automatic Build System <autodist@mambasoft.it> 3.8.0-1mamba
- automatic version update by autodist

* Sat Jun 18 2016 Automatic Build System <autodist@mambasoft.it> 3.6.0-1mamba
- automatic version update by autodist

* Wed Jul 01 2015 Automatic Build System <autodist@mambasoft.it> 3.5.0-1mamba
- automatic version update by autodist

* Mon Apr 21 2014 Automatic Build System <autodist@mambasoft.it> 3.4.0-1mamba
- automatic version update by autodist

* Wed May 22 2013 Automatic Build System <autodist@mambasoft.it> 3.3.0-1mamba
- automatic version update by autodist

* Mon Dec 10 2012 Automatic Build System <autodist@mambasoft.it> 3.2.0-1mamba
- automatic version update by autodist

* Wed Apr 08 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.9.0-1mamba
- automatic update by autodist

* Mon Oct 20 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.0-1mamba
- automatic update by autodist

* Mon May 21 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.0-3mamba
- rebuilt

* Thu Mar 22 2007 Tiziano Pratellesi <tiziano.pratellesi@openmamba.org> 2.6.0-2qilnx
- rebuild

* Fri Sep 15 2006 Tiziano Pratellesi <info@mycare.it> 2.6.0-1qilnx
- package created by autospec
